# Generated by Django 2.2.2 on 2019-06-06 14:36

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='TB_Cliente',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('PK_cpf', models.CharField(max_length=14)),
                ('nome', models.CharField(max_length=100)),
                ('email', models.EmailField(max_length=254)),
                ('endereço', models.CharField(max_length=100)),
                ('fone', models.CharField(max_length=11)),
                ('dt_nascimento', models.DateField()),
            ],
        ),
        migrations.CreateModel(
            name='TB_Livro',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('isbn', models.CharField(max_length=17)),
                ('titulo', models.CharField(max_length=100)),
                ('editora', models.CharField(max_length=100)),
                ('ano', models.DateField()),
                ('preco', models.DecimalField(decimal_places=2, max_digits=6)),
                ('quantidade', models.PositiveIntegerField()),
                ('autor', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='App.TB_Cliente')),
            ],
        ),
    ]
